#
# spec file for package mozilla-xulrunner190 (Version 1.9.0.14)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2006-2009 Wolfgang Rosenauer
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-devel avahi-glib bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils esound esound-devel expat fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-keyring gnome-keyring-devel gnome-keyring-lang gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme info insserv keyutils-libs krb5 less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-devel libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdaemon libdb-4_5 libdrm libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libglade2 libgnome libgnome-devel libgnome-lang libgnomecanvas libgnomecanvas-devel libgnomecanvas-lang libgnomeui libgnomeui-devel libgnomeui-lang libgomp42 libgpg-error libidl libidl-devel libjpeg libjpeg-devel libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns openldap2-client openssl-certs orbit2 orbit2-devel pam pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-base permissions pkg-config pmtools popt popt-devel post-build-checks pwdutils python python-devel rpm sed setserial sqlite startup-notification startup-notification-devel sysvinit tar tcpd texinfo timezone unzip update-alternatives update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zip zlib zlib-devel


Name:           mozilla-xulrunner190
BuildRequires:  gcc-c++ libgnomeui-devel libidl-devel python-devel startup-notification-devel update-desktop-files zip
# needed for brp-check-bytecode-version (jar, fastjar would do as well)
BuildRequires:  unzip
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
%if %suse_version > 1030
BuildRequires:  hunspell-devel
%endif
%if %suse_version > 1100
BuildRequires:  nss-shared-helper-devel
%endif
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Version:        1.9.0.14
Release:        0.1
Summary:        Mozilla Runtime Environment 1.9
Url:            http://www.mozilla.org
Group:          Productivity/Other
Provides:       gecko19
%ifarch %ix86
Provides:       mozilla-xulrunner190-32bit = %{version}-%{release}
%endif
Source:         xulrunner-source-%{version}.tar.bz2
Source1:        l10n-%{version}.tar.bz2
Source2:        find-external-requires.sh
Source3:        mozilla-xulrunner190-rpmlintrc
Source4:        xulrunner-openSUSE-prefs.js
Source5:        add-plugins.sh.in
Patch1:         mozilla-gcc43.patch
Patch2:         locale.patch
Patch3:         mozilla-pkgconfig.patch
Patch4:         idldir.patch
Patch5:         mozilla-path_len.patch
Patch7:         mozilla-nongnome-proxies.patch
Patch8:         mozilla-helper-app.patch
Patch9:         mozilla-system-hunspell.patch.bz2
Patch10:        mozilla-restart-cmd.patch
Patch11:        mozilla-cairo-no-sse.patch
Patch14:        mozilla-aboutAbout.patch
Patch15:        mozilla-pyxpcom.patch
# PATCH-FEATURE-SLED FATE#302023, FATE#302024 - hfiguiere@novell.com
Patch16:        gconf-backend.patch
Patch17:        gecko-lockdown.patch
Patch18:        toolkit-ui-lockdown.patch
Patch22:        mozilla-shared-nss-db.patch
Patch23:        bmo472464.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         libstdc++ expat pango xorg-x11-libs fontconfig freetype2
PreReq:         gtk2 atk glib2 update-alternatives coreutils
### build configuration ###
%define has_system_nspr  0
%define has_system_nss   0
%define has_system_cairo 0
%define localize 1
%if %suse_version > 1030 || 0%{?opensuse_bs}
%define has_system_nspr  1
%define has_system_nss   1
%endif
%if %suse_version > 1100
%define has_system_cairo 1
%endif
%define releasedate 2009090900
%define version_internal %{version}
%define apiversion 1.9
%define uaweight 190914
### configuration end ###
%define _use_internal_dependency_generator 0
%define __find_requires sh %{SOURCE2}
%global provfind sh -c "grep -v 'libsqlite3.so' | %__find_provides"
%global __find_provides %provfind
%if %has_system_nspr
BuildRequires:  mozilla-nspr-devel
PreReq:         mozilla-nspr >= %(rpm -q --queryformat '%{VERSION}' mozilla-nspr)
%endif
%if %has_system_nss
BuildRequires:  mozilla-nss-devel >= 3.12.3
PreReq:         mozilla-nss >= %(rpm -q --queryformat '%{VERSION}' mozilla-nss)
%endif
Recommends:     %{name}-gnomevfs

%description
XULRunner is a single installable package that can be used to bootstrap
multiple XUL+XPCOM applications that are as rich as Firefox and
Thunderbird.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%debug_package
%package devel
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        XULRunner/Gecko SDK 1.9
Group:          Development/Libraries/Other
%if %has_system_nspr
Requires:       mozilla-nspr-devel >= %(rpm -q --queryformat '%{VERSION}' mozilla-nspr-devel) 
%endif
%if %has_system_nss
Requires:       mozilla-nss-devel >= %(rpm -q --queryformat '%{VERSION}' mozilla-nss-devel)
%endif
PreReq:         %{name} = %{version}

%description devel
Software Development Kit to embed XUL or Gecko into other applications.



%package translations
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        Translations for XULRunner 1.9
Group:          System/Localization
PreReq:         %{name} = %{version}
Provides:       locale(%{name}:af;ar;be;bg;bn_IN;ca;cs;cy;da;de;el;en_GB;eo;es_AR;es_ES;et;eu;fi;fr;fy_NL;ga_IE;gl;gu_IN;he;hi_IN;hu;id;is;it;ja;ka;kn;ko;ku;lt;lv;mk;mn;mr;nb_NO;nl;nn_NO;oc;pa_IN;pl;pt_BR;pt_PT;ro;ru;si;sk;sl;sq;sr;sv_SE;te;th;tr;uk;zh_CN;zh_TW)
# from OBS and 11.0beta updates
Provides:       %{name}-lang = %{version}
Obsoletes:      %{name}-lang < %{version}

%description translations
XULRunner is a single installable package that can be used to bootstrap
multiple XUL+XPCOM applications that are as rich as Firefox and
Thunderbird.

This package contains all supported languages but en-US which is
delivered in the main package.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%package gnomevfs
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        XULRunner components depending on gnome-vfs
Group:          Productivity/Other
PreReq:         %{name} = %{version}-%{release}

%description gnomevfs
This subpackage contains the Necko Gnome-VFS and Gnome components which
rely on the gnome-vfs subsystem to be installed. They are recommended
for full desktop integration but not mandatory for small disk footprint
KDE installations for example.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%package -n python-xpcom190
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        Python XPCOM bindings
Group:          Development/Languages/Python
Provides:       python-xpcom
Conflicts:      python-xpcom191
Conflicts:      otherproviders(python-xpcom)
PreReq:         %{name} = %{version}-%{release}
%py_requires

%description -n python-xpcom190
This package contains the libraries and Python modules necessary to use
Mozilla XulRunner's XPCOM.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%prep
%setup -n mozilla -b 1 -q
%patch1
%patch2
%patch3
%patch4
%patch5 -p1
%patch7
%patch8
pushd extensions
%patch9
popd
%patch10
%patch11
%patch14
%patch15
%patch16 -p1
%patch17 -p2
%patch18 -p1
%patch22
%patch23

%build
MOZ_APP_DIR=%{_libdir}/xulrunner-%{version_internal}
export MOZ_BUILD_DATE=%{releasedate}
#export LD_LIBRARY_PATH=$RPM_BUILD_DIR/mozilla/dist/bin
export CFLAGS="$RPM_OPT_FLAGS -Os -fno-strict-aliasing"
%ifarch ppc64
export CFLAGS="$CFLAGS -mminimal-toc"
%endif
export CXXFLAGS="$CFLAGS"
export LDFLAGS="-Wl,-rpath -Wl,${MOZ_APP_DIR}"
export MOZCONFIG=$RPM_BUILD_DIR/mozconfig
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export MOZ_MILESTONE_RELEASE=1
#
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MILESTONE_RELEASE=1
mk_add_options MOZ_MAKE_FLAGS=%{?jobs:-j%jobs}
. \$topsrcdir/xulrunner/config/mozconfig
ac_add_options --prefix=%{_prefix}
ac_add_options --libdir=%{_libdir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --mandir=%{_mandir}
ac_add_options --includedir=%{_includedir}
ac_add_options --enable-optimize
ac_add_options --enable-extensions=python,default
ac_add_options --with-system-jpeg
#ac_add_options --with-system-png # no APNG support
ac_add_options --with-system-zlib
ac_add_options --enable-xft
ac_add_options --disable-freetype2
ac_add_options --enable-svg
ac_add_options --enable-canvas
ac_add_options --disable-tests
ac_add_options --disable-mochitest
ac_add_options --disable-installer
ac_add_options --disable-javaxpcom
ac_add_options --disable-crashreporter
ac_add_options --enable-startup-notification
ac_add_options --enable-url-classifier
#ac_add_options --enable-debug
EOF
%if %has_system_nspr
cat << EOF >> $MOZCONFIG
ac_add_options --with-system-nspr
EOF
%endif
%if %has_system_nss
cat << EOF >> $MOZCONFIG
ac_add_options --with-system-nss
EOF
%endif
%if %has_system_cairo
cat << EOF >> $MOZCONFIG
ac_add_options --enable-system-cairo
EOF
%endif
%if %suse_version > 1030
cat << EOF >> $MOZCONFIG
ac_add_options --enable-system-hunspell
#ac_add_options --enable-system-sqlite
EOF
%endif
make -f client.mk build

%install
%makeinstall STRIP=/bin/true
# remove some executable permissions
find $RPM_BUILD_ROOT%{_includedir}/xulrunner-%{version_internal} \
     -type f -perm -111 -exec chmod a-x {} \;
find $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/ \
     -name "*.js" -o -name "*.xpm" -o -name "*.png" | xargs chmod a-x
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/extensions
# fixing SDK dynamic libs (symlink instead of copy)
rm $RPM_BUILD_ROOT%{_libdir}/xulrunner-devel-%{version_internal}/sdk/lib/*.so
ln -sf ../../../xulrunner-%{version_internal}/libmozjs.so \
       $RPM_BUILD_ROOT%{_libdir}/xulrunner-devel-%{version_internal}/sdk/lib/
ln -sf ../../../xulrunner-%{version_internal}/libxpcom.so \
       $RPM_BUILD_ROOT%{_libdir}/xulrunner-devel-%{version_internal}/sdk/lib/
ln -sf ../../../xulrunner-%{version_internal}/libxul.so \
       $RPM_BUILD_ROOT%{_libdir}/xulrunner-devel-%{version_internal}/sdk/lib/
# XPI example
#cp -rL dist/xpi-stage/simple $RPM_BUILD_ROOT/%{_libdir}/xulrunner-%{version_internal}/
# preferences
cp %{SOURCE4} $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/greprefs/all-openSUSE.js
# install add-plugins.sh
sed "s:%%PROGDIR:%{_libdir}/xulrunner-%{version_internal}:g" \
  %{SOURCE5} > $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh
chmod 755 $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh
# 64bit classification for GRE config
%ifarch x86_64 s390x ppc64
mv $RPM_BUILD_ROOT%{_sysconfdir}/gre.d/%{version_internal}.system.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/gre.d/%{version_internal}-64bit.system.conf
%endif
# ghosts
touch $RPM_BUILD_ROOT/%{_libdir}/xulrunner-%{version_internal}/global.reginfo
# install additional locales
%if %localize
rm -f %{_tmppath}/translations.list
for locale in $(awk '{ print $1; }' browser/locales/shipped-locales); do
  case $locale in
   ja-JP-mac|en-US)
      ;;
   *)
      make -C toolkit/locales libs-$locale
      cp dist/xpi-stage/locale-$locale/chrome/$locale.jar \
         $RPM_BUILD_ROOT/%{_libdir}/xulrunner-%{version_internal}/chrome
      cp dist/xpi-stage/locale-$locale/chrome/$locale.manifest \
         $RPM_BUILD_ROOT/%{_libdir}/xulrunner-%{version_internal}/chrome
      echo %{_libdir}/xulrunner-%{version_internal}/chrome/$locale.jar \
         >> %{_tmppath}/translations.list
      echo %{_libdir}/xulrunner-%{version_internal}/chrome/$locale.manifest \
         >> %{_tmppath}/translations.list
  esac
done
%endif
# API symlink
ln -sf xulrunner-%{version_internal} $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{apiversion}
# compat links
%if 0%{?ga_version:1}
touch $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{ga_version}
%endif
# moving Python stuff
mkdir -p $RPM_BUILD_ROOT%{py_sitedir}/
cp -r $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/python/* \
      $RPM_BUILD_ROOT%{py_sitedir}/ && \
  rm -rf $RPM_BUILD_ROOT/%{_libdir}/xulrunner-%{version_internal}/python
# excludes
rm -f $RPM_BUILD_ROOT%{_bindir}/xulrunner
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/updater
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/LICENSE
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/README.txt
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/dictionaries/en-US*
# fdupes
%if %suse_version > 1020
%fdupes $RPM_BUILD_ROOT%{_includedir}/xulrunner-%{version_internal}/
%fdupes $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%if %localize
rm -rf %{_tmppath}/translations.list
%endif

%post
/usr/sbin/update-alternatives --install %{_bindir}/xulrunner \
  xulrunner %{_libdir}/xulrunner-%{version_internal}/xulrunner %{uaweight} || :
%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh > /dev/null 2>&1
exit 0

%posttrans
# needed for updates which transition directory to symlink
%if 0%{?ga_version:1} 
test -d %{_libdir}/xulrunner-%{ga_version} && rm -rf %{_libdir}/xulrunner-%{ga_version}
ln -sf xulrunner-%{version_internal} %{_libdir}/xulrunner-%{ga_version}
%endif
[ -e %{_libdir}/xulrunner-%{version_internal}/add-plugins.sh ] && \
  %{_libdir}/xulrunner-%{version_internal}/add-plugins.sh > /dev/null 2>&1
exit 0

%preun
if [ "$1" = "0" ]; then # deinstallation
  # that's not quite nice since old versions should be removed on update as well
  # but that's problematic for updates w/o raising the version number
  /usr/sbin/update-alternatives --remove xulrunner %{_libdir}/xulrunner-%{version_internal}/xulrunner
fi
rm -f %{_libdir}/xulrunner-%{version_internal}/dictionaries/*
exit 0

%triggerin -- myspell-dictionary
%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- myspell-dictionary
%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh > /dev/null 2>&1
exit 0

%files
%defattr(-,root,root)
%dir %{_libdir}/xulrunner-%{version_internal}/
%dir %{_libdir}/xulrunner-%{version_internal}/chrome/
%dir %{_libdir}/xulrunner-%{version_internal}/dictionaries/
%dir %{_libdir}/xulrunner-%{version_internal}/extensions/
%{_libdir}/xulrunner-%{version_internal}/chrome/classic.*
%{_libdir}/xulrunner-%{version_internal}/chrome/comm.*
%{_libdir}/xulrunner-%{version_internal}/chrome/en-US.*
%{_libdir}/xulrunner-%{version_internal}/chrome/pippki.*
%{_libdir}/xulrunner-%{version_internal}/chrome/toolkit.*
%{_libdir}/xulrunner-%{version_internal}/chrome/icons/
%{_libdir}/xulrunner-%{version_internal}/components/
%exclude %{_libdir}/xulrunner-%{version_internal}/components/libmozgnome.so
%exclude %{_libdir}/xulrunner-%{version_internal}/components/libnkgnomevfs.so
%exclude %{_libdir}/xulrunner-%{version_internal}/libpy*.so
%exclude %{_libdir}/xulrunner-%{version_internal}/components/libpy*.so
%exclude %{_libdir}/xulrunner-%{version_internal}/components/pyabout.py
%{_libdir}/xulrunner-%{version_internal}/defaults/
%dir %{_libdir}/xulrunner-%{version_internal}/greprefs/
%{_libdir}/xulrunner-%{version_internal}/greprefs/all.js
%{_libdir}/xulrunner-%{version_internal}/greprefs/security-prefs.js
%{_libdir}/xulrunner-%{version_internal}/greprefs/xpinstall.js
%{_libdir}/xulrunner-%{version_internal}/greprefs/all-openSUSE.js
%{_libdir}/xulrunner-%{version_internal}/icons/
%{_libdir}/xulrunner-%{version_internal}/modules/
%{_libdir}/xulrunner-%{version_internal}/plugins/
%{_libdir}/xulrunner-%{version_internal}/res/
%{_libdir}/xulrunner-%{version_internal}/*.so
%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh
%{_libdir}/xulrunner-%{version_internal}/dependentlibs.list
%{_libdir}/xulrunner-%{version_internal}/mozilla-xremote-client
%if !%has_system_nss
%{_libdir}/xulrunner-%{version_internal}/libsoftokn3.chk
%{_libdir}/xulrunner-%{version_internal}/libfreebl3.chk
%endif
%{_libdir}/xulrunner-%{version_internal}/run-mozilla.sh
%{_libdir}/xulrunner-%{version_internal}/xulrunner
%{_libdir}/xulrunner-%{version_internal}/xulrunner-bin
%{_libdir}/xulrunner-%{version_internal}/xulrunner-stub
%{_libdir}/xulrunner-%{version_internal}/platform.ini
#%{_libdir}/xulrunner-%{version_internal}/javaxpcom.jar
# ghosts
%ghost %{_libdir}/xulrunner-%{version_internal}/global.reginfo
# GRE
%dir %{_sysconfdir}/gre.d/
%attr(644,root,root) %{_sysconfdir}/gre.d/*
# example
#%{_libdir}/xulrunner-%{version_internal}/simple/
# API symlink
%{_libdir}/xulrunner-%{apiversion}
# compat symlinks
%if 0%{?ga_version:1} 
%ghost %{_libdir}/xulrunner-%{ga_version}
%endif

%files devel
%defattr(-,root,root)
#%{_libdir}/xulrunner-%{version_internal}/MozillaInterfaces*
%{_libdir}/xulrunner-%{version_internal}/xpcshell
%{_libdir}/xulrunner-%{version_internal}/xpidl
%{_libdir}/xulrunner-%{version_internal}/xpt_dump
%{_libdir}/xulrunner-%{version_internal}/xpt_link
%{_libdir}/xulrunner-devel-%{version_internal}/
# FIXME symlink dynamic libs below sdk/lib
%attr(644,root,root) %{_libdir}/pkgconfig/*
%{_includedir}/xulrunner-%{version_internal}/

%files gnomevfs
%defattr(-,root,root)
%{_libdir}/xulrunner-%{version_internal}/components/libmozgnome.so
%{_libdir}/xulrunner-%{version_internal}/components/libnkgnomevfs.so

%files -n python-xpcom190
%defattr(-,root,root)
%{_libdir}/xulrunner-%{version_internal}/libpyxpcom.so
%{_libdir}/xulrunner-%{version_internal}/components/libpydom.so
%{_libdir}/xulrunner-%{version_internal}/components/libpyloader.so
%{_libdir}/xulrunner-%{version_internal}/components/pyabout.py
%{py_sitedir}/nsdom/
%{py_sitedir}/xpcom/
%if %localize

%files translations -f %{_tmppath}/translations.list
%defattr(-,root,root)
%endif

%changelog
* Thu Sep 10 2009 - wr@rosenauer.org
- security update to 1.9.0.14 (bnc#534458)
  * MFSA 2009-47/CVE-2009-3069/CVE-2009-3070/CVE-2009-3071/
  CVE-2009-3072/CVE-2009-3073/CVE-2009-3074/CVE-2009-3075
  Crashes with evidence of memory corruption
  * MFSA 2009-48/CVE-2009-3076
  Insufficient warning for PKCS11 module installation and removal
  * MFSA 2009-49/CVE-2009-3077 (bmo#506871)
  TreeColumns dangling pointer vulnerability
  * MFSA 2009-50/CVE-2009-3078 (bmo#453827)
  Location bar spoofing via tall line-height Unicode characters
  * MFSA 2009-51/CVE-2009-3079 (bmo#454363)
  Chrome privilege escalation with FeedWriter
- removed obsolete lcms patches (included upstream)
- don't provide libsqlite3.so (bnc#538094)
* Mon Aug 03 2009 - wr@rosenauer.org
- security update to 1.9.0.13 (bnc#527489)
  * MFSA 2009-42 and MFSA 2009-43 don't apply as NSS is provided
  through package mozilla-nss
  * MFSA 2009-44/CVE-2009-2654 (bmo#451898)
  Location bar and SSL indicator spoofing via window.open() on
  invalid URL
* Tue Jul 28 2009 - wr@rosenauer.org
- fixed %%exclude usage
* Tue Jul 21 2009 - wr@rosenauer.org
- security update to 1.9.0.12 (bnc#522109)
  * MFSA 2009-34/CVE-2009-2462/CVE-2009-2463/CVE-2009-2464/
  CVE-2009-2465/CVE-2009-2466
  Crashes with evidence of memory corruption
  * MFSA 2009-35/CVE-2009-2467 (bmo#493601)
  Crash and remote code execution during Flash player unloading
  * MFSA 2009-36/CVE-2009-1194/oCERT-2009-001 (bmo#480134)
  Heap/integer overflows in font glyph rendering libraries
  * MFSA 2009-37/CVE-2009-2469 (bmo#488995)
  Crash and remote code execution using watch and
  __defineSetter__ on SVG
  * MFSA 2009-38/CVE-2009-2470 (bmo#459524)
  Data corruption with SOCKS5 reply containing DNS name
  longer than 15 characters
  * MFSA 2009-39/CVE-2009-2471 (bmo#460882)
  setTimeout loses XPCNativeWrappers
  * MFSA 2009-40/CVE-2009-2472
  Multiple cross origin wrapper bypasses
* Mon Jul 13 2009 - bgmerrell@novell.com
- Fixes bnc#490610 (MozillaFirefox: LittleCMS null pointer
  dereference CVE-2009-0793), add a patch lcms-bnc490610.patch.
* Fri Jun 12 2009 - wr@rosenauer.org
- security update to 1.9.0.11 (bnc#505563)
  * MFSA 2009-24/CVE-2009-1392/CVE-2009-1832/CVE-2009-1833
  Crashes with evidence of memory corruption (rv:1.9.0.11)
  * MFSA 2009-25/CVE-2009-1834 (bmo#479413)
  URL spoofing with invalid unicode characters
  * MFSA 2009-26/CVE-2009-1835 (bmo#491801)
  Arbitrary domain cookie access by local file: resources
  * MFSA 2009-27/CVE-2009-1836 (bmo#479880)
  SSL tampering via non-200 responses to proxy CONNECT requests
  * MFSA 2009-28/CVE-2009-1837 (bmo#486269)
  Race condition while accessing the private data of a NPObject
  JS wrapper class object
  * MFSA 2009-29/CVE-2009-1838 (bmo#489131)
  Arbitrary code execution using event listeners attached to an
  element whose owner document is null
  * MFSA 2009-30/CVE-2009-1839 (bmo#479943)
  Incorrect principal set for file: resources loaded via
  location bar
  * MFSA 2009-31/CVE-2009-1840 (bmo#477979)
  XUL scripts bypass content-policy checks
  * MFSA 2009-32/CVE-2009-1841 (bmo#479560)
  JavaScript chrome privilege escalation
- fixing rpath linker flags (part of bnc#501174)
* Tue Apr 28 2009 - wr@rosenauer.org
- update to 1.9.0.10
  * MFSA 2009-23/CVE-2009-1313 (bmo#489647)
  Crash in nsTextFrame::ClearTextRun()
- fix preprocessor statement to fix build with gcc 4.4
* Thu Apr 16 2009 - wr@rosenauer.org
- security update to 1.9.0.9 (bnc#495473)
  * MFSA 2009-14/CVE-2009-1302/CVE-2009-1303/CVE-2009-1304/CVE-2009-1305
  Crashes with evidence of memory corruption (rv:1.9.0.9)
  * MFSA 2009-15/CVE-2009-0652 (bmo#479336)
  URL spoofing with box drawing character
  * MFSA 2009-16/CVE-2009-1306 (bmo#474536)
  jar: scheme ignores the content-disposition: header on the
  inner URI
  * MFSA 2009-17/CVE-2009-1307 (bmo#481342)
  Same-origin violations when Adobe Flash loaded via
  view-source: scheme
  * MFSA 2009-18/CVE-2009-1308 (bmo#481558)
  XSS hazard using third-party stylesheets and XBL bindings
  * MFSA 2009-19/CVE-2009-1309 (bmo#482206,478433)
  Same-origin violations in XMLHttpRequest and
  XPCNativeWrapper.toString
  * MFSA 2009-20/CVE-2009-1310 (bmo#483086)
  Malicious search plugins can inject code into arbitrary sites
  * MFSA 2009-21/CVE-2009-1311 (bmo#471962)
  POST data sent to wrong site when saving web page with
  embedded frame
  * MFSA 2009-22/CVE-2009-1312 (bmo#475636)
  Firefox allows Refresh header to redirect to javascript: URIs
- removed bnc465284-VUL-designMode.patch since it's integrated
  in 1.9.0.9
* Fri Mar 27 2009 - wr@rosenauer.org
- security update to 1.9.0.8 (bnc#488955,489411)
  * MFSA 2009-12/CVE-2009-1169 (bmo#460090,485217)
  Crash and remote code execution in XSL transformation
  * MFSA 2009-13/CVE-2009-1044 (bmo#484320)
  Arbitrary code execution via XUL tree moveToEdgeShift
* Sat Mar 14 2009 - wr@rosenauer.org
- make mozjs consumers using rpath to the correct location
  to find the library at runtime (bnc#479505)
* Thu Mar 12 2009 - pwu@suse.de
- Fixes bnc#479610(MozillaFirefox: LittleCMS integer overflows),
  add a patch lcms-bnc479606.patch.
* Fri Mar 06 2009 - pwu@suse.de
- Backport a patch from xulrunner191,
  and fix bnc#465284 and CVE-2009-0071.
* Sun Mar 01 2009 - wr@rosenauer.org
- security update to 1.9.0.7 (bnc#478625)
  * MFSA 2009-07 - Crashes with evidence of memory corruption
  CVE-2009-0771 - Layout Engine Crashes
  CVE-2009-0772 - Layout Engine Crashes
  CVE-2009-0773 - crashes in the JavaScript engine
  CVE-2009-0774 - Layout Engine Crashes
  * MFSA 2009-08/CVE-2009-0775 - (bmo#474456)
  Mozilla Firefox XUL Linked Clones Double Free Vulnerability
  * MFSA 2009-09/CVE-2009-0776 (bmo#414540)
  XML data theft via RDFXMLDataSource and cross-domain redirect
  * MFSA 2009-10/CVE-2009-0040 (bmo#478901)
  Upgrade PNG library to fix memory safety hazards
  * MFSA 2009-11/CVE-2009-0777 (bmo#452979)
  URL spoofing with invisible control characters
- removed obsolete patch to configure system sqlite
* Thu Feb 05 2009 - hfiguiere@suse.de
- Review and approve changes.
* Tue Feb 03 2009 - wr@rosenauer.org
- security update to 1.9.0.6 (bnc#470074)
  * MFSA 2009-06/CVE-2009-0358: Directives to not cache pages ignored
  (bmo#441751)
  * MFSA 2009-05/CVE-2009-0357: XMLHttpRequest allows reading
  HTTPOnly cookies (bmo#380418)
  * MFSA 2009-04/CVE-2009-0356: Chrome privilege escalation via
  local .desktop files (bmo#460425)
  * MFSA 2009-03/CVE-2009-0355: Local file stealing with SessionStore
  (bmo#466937)
  * MFSA 2009-02/CVE-2009-0354: XSS using a chrome XBL method
  and window.eval (bmo#468581)
  * MFSA 2009-01/CVE-2009-0352 - CVE-2009-0353: Crashes with
  evidence of memory corruption (rv:1.9.0.6) (bmo#452913,
  bmo#449006, bmo#331088, bmo#401042, bmo#416461, bmo#422283,
  bmo#422301, bmo#431705, bmo#437142, bmo#421839, bmo#420697,
  bmo#461027)
  * (non security) added lv locale
- never use system sqlite for now since it doesn't provide all
  features needed and used by mozstorage (bnc#468689)
- set the actual xul application name as "uniq" identifier for
  NSS database merges (instead of hardcoded "mozilla-xul")
- fixed crash in certificate viewer (bmo#472464)
* Thu Jan 29 2009 - hfiguiere@suse.de
- Update gconf-backend.patch to fix a compilation error in debug
  mode.
- Update toolkit-ui-lockdown.patch to fix bnc#366746
* Wed Dec 17 2008 - hfiguiere@suse.de
- Review and approve changes.
* Mon Dec 15 2008 - wr@rosenauer.org
- security update to 1.9.0.5 (bnc#455804)
  for details
  http://www.mozilla.org/security/known-vulnerabilities/firefox30.html
  * added et locale
* Tue Dec 09 2008 - hfiguiere@suse.de
- Remove the lockdown part of the proxy because of the new upstream
  management. (bnc#440625)
* Mon Dec 08 2008 - hfiguiere@suse.de
- Review and approve changes.
* Fri Dec 05 2008 - hfiguiere@suse.de
- resetting /system/proxy/mode to 'none' set back network.proxy.type
  to 5 instead of 0. (bnc#441648)
* Fri Nov 21 2008 - maw@suse.de
- Review and approve changes.
* Wed Nov 19 2008 - wr@rosenauer.org
- updated mozilla-shared-nss-db.patch
  * make the patch autodetect nss-shared-helper at buildtime
  * feature can be disabled completely at runtime exporting
  MOZ_XRE_NO_NSSHELPER=1 before starting Firefox
  (that helps to workaround bnc#444780 and makes sense anyway)
* Thu Nov 13 2008 - hfiguiere@suse.de
- Added gecko-lockdown.patch and toolkit-ui-lockdown.patch
  * Iron out some bugs from lockdown (bnc#439380)
  * Apparently fixes (bnc#443420)
* Thu Nov 13 2008 - maw@suse.de
- Review and approve changes.
* Tue Nov 11 2008 - wr@rosenauer.org
- update to security/maintenance release 1.9.0.4 (bnc#439841)
  * support additional locales
* Thu Nov 06 2008 - hpj@novell.com
- Add mozilla-shared-nss-db.patch, which migrates the old NSS DB
  to the new, shared format and location.
* Tue Oct 28 2008 - maw@suse.de
- Review and approve changes.
* Mon Oct 27 2008 - wr@rosenauer.org
- improved baselibs dependencies
- removed obsolete build flags
- make biarch dependencies work correctly (bnc#434283)
- removed executable bits from PNGs (bnc#433752)
* Thu Oct 23 2008 - hfiguiere@suse.de
- Added gconf-backend.patch:
  * Lockdown: FATE#302023, FATE#302024
* Mon Sep 29 2008 - maw@suse.de
- Review and approve changes.
* Sun Sep 28 2008 - wr@rosenauer.org
- update to regression fix release 1.9.0.3
  * Fixed a problem where users were unable to retrieve saved
  passwords or save new passwords (bmo#454708, bnc#429179#c20,
  CVE-2008-4063, CVE-2008-4064, CVE-2008-3836, andCVE-2008-4070)
* Thu Sep 25 2008 - maw@suse.de
- Review and approve changes.
* Mon Sep 15 2008 - wr@rosenauer.org
- update to security/maintenance release 1.9.0.2 (bnc#429179)
  * support more locales
  * removed upstreamed patches
- added PyXPCOM subpackage python-xpcom190
- fix helper app detection for application/octet-stream type
  (bnc#406979, bmo#327323)
- stop shipping the "simple" example
- use system provided cairo from 11.1 on
* Thu Sep 04 2008 - ro@suse.de
- get rid of at least one opensuse_bs check
  (should really check project name and not buildsystem)
* Tue Aug 19 2008 - maw@suse.de
- Check whether the build is happening on the build service
  by using 0%%{?opensuse_bs}
- Readd unzip to the list of build requirements.
* Sat Aug 16 2008 - maw@novell.com
- Review and approve changes.
* Wed Aug 06 2008 - wr@rosenauer.org
- Fix releasedate and apiversion defines
* Tue Jul 29 2008 - mauro@suse.de
- Merge changes from the Build Service (thanks, Wolfgang)
- Update to stability/security release 1.9.0.1 (bnc#407573)
  * added si and sl locales
  * for security issues please refer to Firefox 3.0.1
- Fixed a crash [@ cairo_draw_with_xlib] (bmo#435764)
  + Added bmo435764.patch
- Fixed vertical stripes in windowless plugins (bmo#430450)
  + Added bmo430450.patch
- Remove about:about (bnc#402699, bmo#349451)
  + Added mozilla-aboutAbout.patch
* Tue Jun 17 2008 - maw@suse.de
- Merge changes from the Build Service (thanks, Wolfgang)
  (bnc#400001 and SWAMP#18164).
* Tue Jun 17 2008 - wr@rosenauer.org
- update to version 1.9
- removed obsolete mozilla-fsync* patch
- make it possible to ignore NM events with a pref (bmo#424626)
  (toolkit.networkmanager.ignore=false|true)
  (mozilla-network-status.patch)
- modify pref to not stop at punctuation for selections
  (bnc#395070)
- fixed restart command for session managers (bnc#396552)
- do not compile cairo with SSE support (bnc#397815)
- mozilla-js.pc uses correct cflags (bnc#397814)
* Mon May 26 2008 - maw@suse.de
- Fix baselibs.conf to mention mozilla-xulrunner190-translations
  (bnc#393856).
* Wed May 21 2008 - maw@suse.de
- Add mozilla-pkgconfig.patch (part of bnc#381154).
* Tue May 20 2008 - maw@suse.de
- Add mozilla-fsync-bmo499050.patch (bmo#499050).
* Wed Apr 30 2008 - maw@suse.de
- Merge changes from the build service (thanks, Wolfgang):
  + Only use gconf proxy settings under GNOME (bnc#381172)
  + Add mozilla-extensionmanager.patch (bnc#381733, and #382969)
  + Add mozilla-system-hunspell.patch to enable use of the system's
  hunspell (bnc#382437)
  + Add mozilla-gnome-proxies.patch:
  * Only use gconf proxy settings when running under GNOME
  (bnc#381172)
  * Correctly read the ignored hosts settings from gconf
  (bmo#429520)
  + Add mozilla-helperapp.patch to offer the gconf default for
  protocol handlers (bnc#383697)
- Rename the -lang subpackage to -stranslations (bnc#381635).
* Wed Apr 16 2008 - maw@suse.de
- Merge changes from the build service:
  + Add mozilla-chrome-registry.patch to fix a startup crash
  (bmo#391311 and bnc#379523)
  + Add mozilla-scroll.patch to fix scrolling performance issues
  (bmo#424915 and bnc#377055)
  + Update baselibs.conf.
* Mon Apr 14 2008 - maw@suse.de
- Better sync against the build service's version.
* Thu Apr 10 2008 - ro@suse.de
- added baselibs.conf file to create xxbit packages
* Tue Apr 01 2008 - wr@rosenauer.org
- update to version 1.9b5
  * including fix for bnc #368967
  * integrated mozilla-gnome-vfs.patch
- updated shipped locales "Provides"
- fixed version upgrading (remove leftovers from previous versions)
- remove executable flags from JS scripts
- CSS DPI scaling now occurs with higher dpi values now (>192)
- prerequire coreutils for 'rm' in post scripts
* Tue Mar 18 2008 - maw@suse.de
- Merge changes from the build service (thanks, Wolfgang).
* Mon Mar 10 2008 - wr@rosenauer.org
- new snapshot version 1.9b4
- updated shipped locales "Provides"
- enabled url classifier component
  (needed for Firefox' safe browsing feature)
- added mozilla-gnome-vfs.patch (#368238)
* Fri Feb 29 2008 - wr@rosenauer.org
- new snapshot 20080228
- source archive contains browser components now to make it easier
  to keep xulrunner and firefox in sync
  (use shipped-locales from browser now instead of keeping a copy
  in the package)
- proxy-type 5 is default now (removed from default prefs)
* Thu Feb 28 2008 - wr@rosenauer.org
- new snapshot 20080227
- use system provided sqlite for factory/11.0
- use fdupes
- tweak default preferences
- fix debuginfo package
- fix wrong executable permissions
- fix wrong ownership of the gnomevfs libs
- add add-plugins.sh to manage dictionaries
* Tue Feb 26 2008 - wr@rosenauer.org
- new snapshot 20080225
- added -gnomevfs subpackage for evaluation
- added back -l10n subpackage
* Fri Feb 22 2008 - wr@rosenauer.org
- initial xulrunner 1.9 package
  * doesn't update any prior xulrunner yet
  * can be installed in parallel
  * just updates the /usr/bin/xulrunner link to the new version
  * needs NSPR 4.7.1 and NSS 3.12
